Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.Designer.cs	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/EnhancedChart.cs	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.Designer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.Designer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.Designer.cs	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/HistogramControl.cs	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.Designer.cs	(revision 7268)
@@ -67,4 +67,6 @@
       this.previewZoomLabel = new System.Windows.Forms.Label();
       this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
+      this.label19 = new System.Windows.Forms.Label();
+      this.rawImageSizeLabel = new System.Windows.Forms.Label();
       ((System.ComponentModel.ISupportInitialize)(this.widthNumericUD)).BeginInit();
       this.groupBox1.SuspendLayout();
@@ -162,6 +164,5 @@
             "96",
             "150",
-            "300",
-            "600"});
+            "300"});
       this.resolutionComboBox.Location = new System.Drawing.Point(76, 383);
       this.resolutionComboBox.Name = "resolutionComboBox";
@@ -180,14 +181,9 @@
             65536});
       this.widthNumericUD.Location = new System.Drawing.Point(76, 410);
-      this.widthNumericUD.Maximum = new decimal(new int[] {
-            1000,
-            0,
-            0,
-            0});
       this.widthNumericUD.Minimum = new decimal(new int[] {
             1,
             0,
             0,
-            131072});
+            65536});
       this.widthNumericUD.Name = "widthNumericUD";
       this.widthNumericUD.Size = new System.Drawing.Size(75, 20);
@@ -499,14 +495,9 @@
             65536});
       this.heightNumericUD.Location = new System.Drawing.Point(76, 436);
-      this.heightNumericUD.Maximum = new decimal(new int[] {
-            1000,
-            0,
-            0,
-            0});
       this.heightNumericUD.Minimum = new decimal(new int[] {
             1,
             0,
             0,
-            131072});
+            65536});
       this.heightNumericUD.Name = "heightNumericUD";
       this.heightNumericUD.Size = new System.Drawing.Size(75, 20);
@@ -548,5 +539,7 @@
       // 
       this.splitContainer.Panel2.Controls.Add(this.previewPictureBox);
+      this.splitContainer.Panel2.Controls.Add(this.label19);
       this.splitContainer.Panel2.Controls.Add(this.label13);
+      this.splitContainer.Panel2.Controls.Add(this.rawImageSizeLabel);
       this.splitContainer.Panel2.Controls.Add(this.previewZoomLabel);
       this.splitContainer.Size = new System.Drawing.Size(793, 478);
@@ -640,4 +633,22 @@
           "*.gif)|*.gif|TIFF (*.tif)|*.tif\"";
       this.saveFileDialog.FilterIndex = 2;
+      // 
+      // label19
+      // 
+      this.label19.AutoSize = true;
+      this.label19.Location = new System.Drawing.Point(85, 459);
+      this.label19.Name = "label19";
+      this.label19.Size = new System.Drawing.Size(84, 13);
+      this.label19.TabIndex = 10;
+      this.label19.Text = "Raw image size:";
+      // 
+      // rawImageSizeLabel
+      // 
+      this.rawImageSizeLabel.AutoSize = true;
+      this.rawImageSizeLabel.Location = new System.Drawing.Point(175, 459);
+      this.rawImageSizeLabel.Name = "rawImageSizeLabel";
+      this.rawImageSizeLabel.Size = new System.Drawing.Size(37, 13);
+      this.rawImageSizeLabel.TabIndex = 10;
+      this.rawImageSizeLabel.Text = "0.00M";
       // 
       // ImageExportDialog
@@ -721,4 +732,6 @@
     private System.Windows.Forms.ComboBox legendFontSizeComboBox;
     private System.Windows.Forms.Label label17;
+    private System.Windows.Forms.Label label19;
+    private System.Windows.Forms.Label rawImageSizeLabel;
   }
 }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/ImageExportDialog.cs	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -127,4 +127,5 @@
         previewHeight = (int)Math.Round(height);
       } else previewZoomLabel.Text = (scaleFactor * 100).ToString("0") + "%";
+      rawImageSizeLabel.Text = GetRawImageSizeInMegabytes(width, height).ToString("0.00") + "M   " + "(" + Math.Round(width).ToString("0") + " x " + Math.Round(height).ToString("0") + ") pixels";
 
       Bitmap image = new Bitmap(previewWidth, previewHeight);
@@ -238,8 +239,16 @@
 
     private void widthNumericUD_ValueChanged(object sender, EventArgs e) {
+      float dpi, width, height;
+      GetImageParameters(out dpi, out width, out height);
+      if (GetRawImageSizeInMegabytes(width, height) > 25) // bigger than A4 at 300dpi
+        MessageBox.Show("Warning: The image is getting quite big.");
       if (togglePreviewCheckBox.Checked) UpdatePreview();
     }
 
     private void heightNumericUD_ValueChanged(object sender, EventArgs e) {
+      float dpi, width, height;
+      GetImageParameters(out dpi, out width, out height);
+      if (GetRawImageSizeInMegabytes(width, height) > 25) // bigger than A4 at 300dpi
+        MessageBox.Show("Warning: The image is getting quite big.");
       if (togglePreviewCheckBox.Checked) UpdatePreview();
     }
@@ -376,4 +385,8 @@
     }
 
+    private static float GetRawImageSizeInMegabytes(float width, float height) {
+      return ((3 * width * height) / (1024 * 1024));
+    }
+
   }
 }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Plugin.cs.frame	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Plugin.cs.frame	(revision 7268)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Visualization.ChartControlsExtensions plugin
   /// </summary>  
-  [Plugin("HeuristicLab.Visualization.ChartControlsExtensions", "3.3.5.$WCREV$")]
+  [Plugin("HeuristicLab.Visualization.ChartControlsExtensions", "3.3.6.$WCREV$")]
   [PluginFile("HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll", PluginFileType.Assembly)]
   public class HeuristicLabVisualizationChartControlsExtensionsPlugin : PluginBase { }
Index: branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.cs.frame	(revision 7098)
+++ branches/HeuristicLab.TimeSeries/HeuristicLab.Visualization.ChartControlsExtensions/3.3/Properties/AssemblyInfo.cs.frame	(revision 7268)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2011 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -52,3 +52,3 @@
 //
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
